List the user's balances.
curl --request GET \
--url https://api.symbiosis.markets/custody/get-balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/custody/get-balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/custody/get-balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"asset_id": "<string>",
"balance": "<string>",
"pending_balance": "<string>",
"venue": "polymarket"
}
],
"next_cursor": "<string>"
}Custody
List the user's balances.
GET
/
custody
/
get-balances
List the user's balances.
curl --request GET \
--url https://api.symbiosis.markets/custody/get-balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/custody/get-balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/custody/get-balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"asset_id": "<string>",
"balance": "<string>",
"pending_balance": "<string>",
"venue": "polymarket"
}
],
"next_cursor": "<string>"
}Authorizations
SessionBearerApiKeyHmac & HmacTimestamp & HmacSignature
Session token from POST /auth/login.
Query Parameters
Comma-separated list of asset ids
The last cursor, emitted by the previous response.
The maximum number of items to return.
Required range:
x >= 0The venue to filter by.
Available options:
polymarket, kalshi, limitless